RK-A2 - Feature #3666

Extend 3657 across changes in subject and/or grade
07/17/2024 11:51 AM - Ram Kordale

Status: Closed Start date: 07/17/2024
Priority: High Due date:

Assignee: Dewakar Chaubey % Done: 100%
Category: Estimated time: 0.30 hour
Target version: Spent time: 0.00 hour
Description

Today, the last style used S, the last question number asked Q and the list of questions L are stored in browser storage. However, if
user changes subject and/or grade, they are all lost.

Going forward, store them per subject and grade combination.

Minimal test case:

- user chooses g1 and s1

- other than changing grade or subject, may do a bunch of things (go through some questions, change style preferences etc).
- for g1 and s1, the values are S1, Q1 and L1

- user chooses g2 and s2

- may do a bunch of things (change grade, subject, go through some questions, change style preferences, close all tabs and
windows of the browser etc).

- user chooses g1 and s1. At this point, the applicable style, question and list should be S1, Q1 and L1.

History

#1 - 07/17/2024 11:56 AM - Ayanava Karmakar
- Estimated time set to 0.30 h

#2 - 07/17/2024 12:03 PM - Ram Kordale

- Assignee set to Dewakar Chaubey

#3 - 07/17/2024 12:05 PM - Dewakar Chaubey

- Status changed from New to In Progress

#4 - 07/17/2024 12:52 PM - Ram Kordale

- Description updated

#5 - 07/17/2024 01:42 PM - Dewakar Chaubey
- Status changed from In Progress to Resolved
- Assignee changed from Dewakar Chaubey to Shubham Boke

- % Done changed from 0 to 100

#6 - 07/17/2024 01:43 PM - Dewakar Chaubey

- Status changed from Resolved to Review

#7 - 07/18/2024 09:04 AM - Shubham Boke

- Assignee changed from Shubham Boke to Ayanava Karmakar

#8 - 09/11/2024 06:35 AM - Dewakar Chaubey
- Status changed from Review to Feedback

- Assignee changed from Ayanava Karmakar to Shubham Boke

#9 - 09/13/2024 10:40 AM - Dewakar Chaubey

- Status changed from Feedback to Resolved
#10 - 09/13/2024 10:40 AM - Dewakar Chaubey

- Status changed from Resolved to Review

#11 - 09/13/2024 11:00 AM - Shubham Boke
- Status changed from Review to Feedback

- Assignee changed from Shubham Boke to Ram Kordale

#12 - 09/13/2024 01:37 PM - Ram Kordale
- Status changed from Feedback to Closed

- Assignee changed from Ram Kordale to Dewakar Chaubey
